summaryrefslogtreecommitdiff
path: root/qa/450
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/450
downloadpcp-47e6e7c84f008a53061e661f31ae96629bc694ef.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/450')
-rwxr-xr-xqa/45043
1 files changed, 43 insertions, 0 deletions
diff --git a/qa/450 b/qa/450
new file mode 100755
index 0000000..77ca74a
--- /dev/null
+++ b/qa/450
@@ -0,0 +1,43 @@
+#! /bin/sh
+# PCP QA Test No. 450
+# pmlogextract fail to process multivolume archives
+# pv #584487
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=1 # failure is the default!
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+pmlogger -c src/config.foo -s 8 -v 3 $tmp
+
+pmlogextract src/mv-foo $tmp $tmp.out
+
+pmval -U $tmp.out sample.drift 2>&1 \
+| sed \
+ -e '/^$/d' \
+ -e '/^metric:/d' \
+ -e '/^archive:/d' \
+ -e '/^host:/d' \
+ -e '/^start:/d' \
+ -e '/^end:/d' \
+ -e '/^semantics:/d' \
+ -e '/^units:/d' \
+ -e '/^samples:/d' \
+ -e '/^interval:/d' \
+ -e '/No values available/d' \
+ -e '/End of PCP archive log/d' \
+ -e 's/ *[0-9][0-9]*$/ NUMBER/' \
+ -e 's/^[0-9][0-9]:[0-9][0-9]:[0-9][0-9]\.[0-9][0-9][0-9]/TIMESTAMP/'
+
+status=0
+exit